Home | History | Annotate | Download | only in genext2fs
      1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
      5 # 2003, 2004, 2005  Free Software Foundation, Inc.
      6 # This Makefile.in is free software; the Free Software Foundation
      7 # gives unlimited permission to copy and/or distribute it,
      8 # with or without modifications, as long as this notice is preserved.
      9 
     10 # This program is distributed in the hope that it will be useful,
     11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13 # PARTICULAR PURPOSE.
     14 
     15 @SET_MAKE@
     16 
     17 srcdir = @srcdir@
     18 top_srcdir = @top_srcdir@
     19 VPATH = @srcdir@
     20 pkgdatadir = $(datadir)/@PACKAGE@
     21 pkglibdir = $(libdir)/@PACKAGE@
     22 pkgincludedir = $(includedir)/@PACKAGE@
     23 top_builddir = .
     24 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     25 INSTALL = @INSTALL@
     26 install_sh_DATA = $(install_sh) -c -m 644
     27 install_sh_PROGRAM = $(install_sh) -c
     28 install_sh_SCRIPT = $(install_sh) -c
     29 INSTALL_HEADER = $(INSTALL_DATA)
     30 transform = $(program_transform_name)
     31 NORMAL_INSTALL = :
     32 PRE_INSTALL = :
     33 POST_INSTALL = :
     34 NORMAL_UNINSTALL = :
     35 PRE_UNINSTALL = :
     36 POST_UNINSTALL = :
     37 bin_PROGRAMS = genext2fs$(EXEEXT)
     38 subdir = .
     39 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
     40 	$(srcdir)/Makefile.in $(srcdir)/config.h.in \
     41 	$(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
     42 	TODO depcomp install-sh missing
     43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     44 am__aclocal_m4_deps = $(top_srcdir)/configure.in
     45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     46 	$(ACLOCAL_M4)
     47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     48  configure.lineno configure.status.lineno
     49 mkinstalldirs = $(install_sh) -d
     50 CONFIG_HEADER = config.h
     51 CONFIG_CLEAN_FILES =
     52 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man8dir)"
     53 binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
     54 PROGRAMS = $(bin_PROGRAMS)
     55 am_genext2fs_OBJECTS = genext2fs.$(OBJEXT)
     56 genext2fs_OBJECTS = $(am_genext2fs_OBJECTS)
     57 genext2fs_LDADD = $(LDADD)
     58 DEFAULT_INCLUDES = -I. -I$(srcdir) -I.
     59 depcomp = $(SHELL) $(top_srcdir)/depcomp
     60 am__depfiles_maybe = depfiles
     61 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
     62 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
     63 CCLD = $(CC)
     64 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
     65 SOURCES = $(genext2fs_SOURCES)
     66 DIST_SOURCES = $(genext2fs_SOURCES)
     67 man8dir = $(mandir)/man8
     68 NROFF = nroff
     69 MANS = $(man_MANS)
     70 ETAGS = etags
     71 CTAGS = ctags
     72 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     73 distdir = $(PACKAGE)-$(VERSION)
     74 top_distdir = $(distdir)
     75 am__remove_distdir = \
     76   { test ! -d $(distdir) \
     77     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
     78          && rm -fr $(distdir); }; }
     79 DIST_ARCHIVES = $(distdir).tar.gz
     80 GZIP_ENV = --best
     81 distuninstallcheck_listfiles = find . -type f -print
     82 distcleancheck_listfiles = find . -type f -print
     83 ACLOCAL = @ACLOCAL@
     84 AMDEP_FALSE = @AMDEP_FALSE@
     85 AMDEP_TRUE = @AMDEP_TRUE@
     86 AMTAR = @AMTAR@
     87 AUTOCONF = @AUTOCONF@
     88 AUTOHEADER = @AUTOHEADER@
     89 AUTOMAKE = @AUTOMAKE@
     90 AWK = @AWK@
     91 CC = @CC@
     92 CCDEPMODE = @CCDEPMODE@
     93 CFLAGS = @CFLAGS@
     94 CPP = @CPP@
     95 CPPFLAGS = @CPPFLAGS@
     96 CYGPATH_W = @CYGPATH_W@
     97 DEFS = @DEFS@
     98 DEPDIR = @DEPDIR@
     99 ECHO_C = @ECHO_C@
    100 ECHO_N = @ECHO_N@
    101 ECHO_T = @ECHO_T@
    102 EGREP = @EGREP@
    103 EXEEXT = @EXEEXT@
    104 GREP = @GREP@
    105 INSTALL_DATA = @INSTALL_DATA@
    106 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    107 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    108 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    109 LDFLAGS = @LDFLAGS@
    110 LIBOBJS = @LIBOBJS@
    111 LIBS = @LIBS@
    112 LTLIBOBJS = @LTLIBOBJS@
    113 MAKEINFO = @MAKEINFO@
    114 OBJEXT = @OBJEXT@
    115 PACKAGE = @PACKAGE@
    116 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    117 PACKAGE_NAME = @PACKAGE_NAME@
    118 PACKAGE_STRING = @PACKAGE_STRING@
    119 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    120 PACKAGE_VERSION = @PACKAGE_VERSION@
    121 PATH_SEPARATOR = @PATH_SEPARATOR@
    122 SET_MAKE = @SET_MAKE@
    123 SHELL = @SHELL@
    124 STRIP = @STRIP@
    125 VERSION = @VERSION@
    126 ac_ct_CC = @ac_ct_CC@
    127 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
    128 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
    129 am__include = @am__include@
    130 am__leading_dot = @am__leading_dot@
    131 am__quote = @am__quote@
    132 am__tar = @am__tar@
    133 am__untar = @am__untar@
    134 bindir = @bindir@
    135 build_alias = @build_alias@
    136 datadir = @datadir@
    137 datarootdir = @datarootdir@
    138 docdir = @docdir@
    139 dvidir = @dvidir@
    140 exec_prefix = @exec_prefix@
    141 host_alias = @host_alias@
    142 htmldir = @htmldir@
    143 includedir = @includedir@
    144 infodir = @infodir@
    145 install_sh = @install_sh@
    146 libdir = @libdir@
    147 libexecdir = @libexecdir@
    148 localedir = @localedir@
    149 localstatedir = @localstatedir@
    150 mandir = @mandir@
    151 mkdir_p = @mkdir_p@
    152 oldincludedir = @oldincludedir@
    153 pdfdir = @pdfdir@
    154 prefix = @prefix@
    155 program_transform_name = @program_transform_name@
    156 psdir = @psdir@
    157 sbindir = @sbindir@
    158 sharedstatedir = @sharedstatedir@
    159 sysconfdir = @sysconfdir@
    160 target_alias = @target_alias@
    161 genext2fs_SOURCES = genext2fs.c
    162 man_MANS = genext2fs.8
    163 EXTRA_DIST = $(man_MANS) test-gen.lib test-mount.sh test.sh device_table.txt m4/ac_func_scanf_can_malloc.m4 m4/ac_func_snprintf.m4
    164 TESTS = test.sh
    165 all: config.h
    166 	$(MAKE) $(AM_MAKEFLAGS) all-am
    167 
    168 .SUFFIXES:
    169 .SUFFIXES: .c .o .obj
    170 am--refresh:
    171 	@:
    172 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
    173 	@for dep in $?; do \
    174 	  case '$(am__configure_deps)' in \
    175 	    *$$dep*) \
    176 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
    177 	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
    178 		&& exit 0; \
    179 	      exit 1;; \
    180 	  esac; \
    181 	done; \
    182 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
    183 	cd $(top_srcdir) && \
    184 	  $(AUTOMAKE) --gnu  Makefile
    185 .PRECIOUS: Makefile
    186 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    187 	@case '$?' in \
    188 	  *config.status*) \
    189 	    echo ' $(SHELL) ./config.status'; \
    190 	    $(SHELL) ./config.status;; \
    191 	  *) \
    192 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
    193 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
    194 	esac;
    195 
    196 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    197 	$(SHELL) ./config.status --recheck
    198 
    199 $(top_srcdir)/configure:  $(am__configure_deps)
    200 	cd $(srcdir) && $(AUTOCONF)
    201 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
    202 	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    203 
    204 config.h: stamp-h1
    205 	@if test ! -f $@; then \
    206 	  rm -f stamp-h1; \
    207 	  $(MAKE) stamp-h1; \
    208 	else :; fi
    209 
    210 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    211 	@rm -f stamp-h1
    212 	cd $(top_builddir) && $(SHELL) ./config.status config.h
    213 $(srcdir)/config.h.in:  $(am__configure_deps) 
    214 	cd $(top_srcdir) && $(AUTOHEADER)
    215 	rm -f stamp-h1
    216 	touch $@
    217 
    218 distclean-hdr:
    219 	-rm -f config.h stamp-h1
    220 install-binPROGRAMS: $(bin_PROGRAMS)
    221 	@$(NORMAL_INSTALL)
    222 	test -z "$(bindir)" || $(mkdir_p) "$(DESTDIR)$(bindir)"
    223 	@list='$(bin_PROGRAMS)'; for p in $$list; do \
    224 	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
    225 	  if test -f $$p \
    226 	  ; then \
    227 	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
    228 	   echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
    229 	   $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
    230 	  else :; fi; \
    231 	done
    232 
    233 uninstall-binPROGRAMS:
    234 	@$(NORMAL_UNINSTALL)
    235 	@list='$(bin_PROGRAMS)'; for p in $$list; do \
    236 	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
    237 	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
    238 	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
    239 	done
    240 
    241 clean-binPROGRAMS:
    242 	-test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
    243 genext2fs$(EXEEXT): $(genext2fs_OBJECTS) $(genext2fs_DEPENDENCIES) 
    244 	@rm -f genext2fs$(EXEEXT)
    245 	$(LINK) $(genext2fs_LDFLAGS) $(genext2fs_OBJECTS) $(genext2fs_LDADD) $(LIBS)
    246 
    247 mostlyclean-compile:
    248 	-rm -f *.$(OBJEXT)
    249 
    250 distclean-compile:
    251 	-rm -f *.tab.c
    252 
    253 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/genext2fs.Po@am__quote@
    254 
    255 .c.o:
    256 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
    257 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
    258 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    259 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    260 @am__fastdepCC_FALSE@	$(COMPILE) -c $<
    261 
    262 .c.obj:
    263 @am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
    264 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
    265 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
    266 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    267 @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
    268 uninstall-info-am:
    269 install-man8: $(man8_MANS) $(man_MANS)
    270 	@$(NORMAL_INSTALL)
    271 	test -z "$(man8dir)" || $(mkdir_p) "$(DESTDIR)$(man8dir)"
    272 	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
    273 	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
    274 	for i in $$l2; do \
    275 	  case "$$i" in \
    276 	    *.8*) list="$$list $$i" ;; \
    277 	  esac; \
    278 	done; \
    279 	for i in $$list; do \
    280 	  if test -f $(srcdir)/$$i; then file=$(srcdir)/$$i; \
    281 	  else file=$$i; fi; \
    282 	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
    283 	  case "$$ext" in \
    284 	    8*) ;; \
    285 	    *) ext='8' ;; \
    286 	  esac; \
    287 	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
    288 	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
    289 	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
    290 	  echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
    291 	  $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst"; \
    292 	done
    293 uninstall-man8:
    294 	@$(NORMAL_UNINSTALL)
    295 	@list='$(man8_MANS) $(dist_man8_MANS) $(nodist_man8_MANS)'; \
    296 	l2='$(man_MANS) $(dist_man_MANS) $(nodist_man_MANS)'; \
    297 	for i in $$l2; do \
    298 	  case "$$i" in \
    299 	    *.8*) list="$$list $$i" ;; \
    300 	  esac; \
    301 	done; \
    302 	for i in $$list; do \
    303 	  ext=`echo $$i | sed -e 's/^.*\\.//'`; \
    304 	  case "$$ext" in \
    305 	    8*) ;; \
    306 	    *) ext='8' ;; \
    307 	  esac; \
    308 	  inst=`echo $$i | sed -e 's/\\.[0-9a-z]*$$//'`; \
    309 	  inst=`echo $$inst | sed -e 's/^.*\///'`; \
    310 	  inst=`echo $$inst | sed '$(transform)'`.$$ext; \
    311 	  echo " rm -f '$(DESTDIR)$(man8dir)/$$inst'"; \
    312 	  rm -f "$(DESTDIR)$(man8dir)/$$inst"; \
    313 	done
    314 
    315 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    316 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    317 	unique=`for i in $$list; do \
    318 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    319 	  done | \
    320 	  $(AWK) '    { files[$$0] = 1; } \
    321 	       END { for (i in files) print i; }'`; \
    322 	mkid -fID $$unique
    323 tags: TAGS
    324 
    325 TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    326 		$(TAGS_FILES) $(LISP)
    327 	tags=; \
    328 	here=`pwd`; \
    329 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    330 	unique=`for i in $$list; do \
    331 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    332 	  done | \
    333 	  $(AWK) '    { files[$$0] = 1; } \
    334 	       END { for (i in files) print i; }'`; \
    335 	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
    336 	  test -n "$$unique" || unique=$$empty_fix; \
    337 	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    338 	    $$tags $$unique; \
    339 	fi
    340 ctags: CTAGS
    341 CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    342 		$(TAGS_FILES) $(LISP)
    343 	tags=; \
    344 	here=`pwd`; \
    345 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    346 	unique=`for i in $$list; do \
    347 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    348 	  done | \
    349 	  $(AWK) '    { files[$$0] = 1; } \
    350 	       END { for (i in files) print i; }'`; \
    351 	test -z "$(CTAGS_ARGS)$$tags$$unique" \
    352 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    353 	     $$tags $$unique
    354 
    355 GTAGS:
    356 	here=`$(am__cd) $(top_builddir) && pwd` \
    357 	  && cd $(top_srcdir) \
    358 	  && gtags -i $(GTAGS_ARGS) $$here
    359 
    360 distclean-tags:
    361 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    362 
    363 check-TESTS: $(TESTS)
    364 	@failed=0; all=0; xfail=0; xpass=0; skip=0; \
    365 	srcdir=$(srcdir); export srcdir; \
    366 	list='$(TESTS)'; \
    367 	if test -n "$$list"; then \
    368 	  for tst in $$list; do \
    369 	    if test -f ./$$tst; then dir=./; \
    370 	    elif test -f $$tst; then dir=; \
    371 	    else dir="$(srcdir)/"; fi; \
    372 	    if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
    373 	      all=`expr $$all + 1`; \
    374 	      case " $(XFAIL_TESTS) " in \
    375 	      *" $$tst "*) \
    376 		xpass=`expr $$xpass + 1`; \
    377 		failed=`expr $$failed + 1`; \
    378 		echo "XPASS: $$tst"; \
    379 	      ;; \
    380 	      *) \
    381 		echo "PASS: $$tst"; \
    382 	      ;; \
    383 	      esac; \
    384 	    elif test $$? -ne 77; then \
    385 	      all=`expr $$all + 1`; \
    386 	      case " $(XFAIL_TESTS) " in \
    387 	      *" $$tst "*) \
    388 		xfail=`expr $$xfail + 1`; \
    389 		echo "XFAIL: $$tst"; \
    390 	      ;; \
    391 	      *) \
    392 		failed=`expr $$failed + 1`; \
    393 		echo "FAIL: $$tst"; \
    394 	      ;; \
    395 	      esac; \
    396 	    else \
    397 	      skip=`expr $$skip + 1`; \
    398 	      echo "SKIP: $$tst"; \
    399 	    fi; \
    400 	  done; \
    401 	  if test "$$failed" -eq 0; then \
    402 	    if test "$$xfail" -eq 0; then \
    403 	      banner="All $$all tests passed"; \
    404 	    else \
    405 	      banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
    406 	    fi; \
    407 	  else \
    408 	    if test "$$xpass" -eq 0; then \
    409 	      banner="$$failed of $$all tests failed"; \
    410 	    else \
    411 	      banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
    412 	    fi; \
    413 	  fi; \
    414 	  dashes="$$banner"; \
    415 	  skipped=""; \
    416 	  if test "$$skip" -ne 0; then \
    417 	    skipped="($$skip tests were not run)"; \
    418 	    test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
    419 	      dashes="$$skipped"; \
    420 	  fi; \
    421 	  report=""; \
    422 	  if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
    423 	    report="Please report to $(PACKAGE_BUGREPORT)"; \
    424 	    test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
    425 	      dashes="$$report"; \
    426 	  fi; \
    427 	  dashes=`echo "$$dashes" | sed s/./=/g`; \
    428 	  echo "$$dashes"; \
    429 	  echo "$$banner"; \
    430 	  test -z "$$skipped" || echo "$$skipped"; \
    431 	  test -z "$$report" || echo "$$report"; \
    432 	  echo "$$dashes"; \
    433 	  test "$$failed" -eq 0; \
    434 	else :; fi
    435 
    436 distdir: $(DISTFILES)
    437 	$(am__remove_distdir)
    438 	mkdir $(distdir)
    439 	$(mkdir_p) $(distdir)/m4
    440 	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
    441 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
    442 	list='$(DISTFILES)'; for file in $$list; do \
    443 	  case $$file in \
    444 	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
    445 	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
    446 	  esac; \
    447 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    448 	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
    449 	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
    450 	    dir="/$$dir"; \
    451 	    $(mkdir_p) "$(distdir)$$dir"; \
    452 	  else \
    453 	    dir=''; \
    454 	  fi; \
    455 	  if test -d $$d/$$file; then \
    456 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    457 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
    458 	    fi; \
    459 	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
    460 	  else \
    461 	    test -f $(distdir)/$$file \
    462 	    || cp -p $$d/$$file $(distdir)/$$file \
    463 	    || exit 1; \
    464 	  fi; \
    465 	done
    466 	-find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
    467 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    468 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    469 	  ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
    470 	|| chmod -R a+r $(distdir)
    471 dist-gzip: distdir
    472 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    473 	$(am__remove_distdir)
    474 
    475 dist-bzip2: distdir
    476 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    477 	$(am__remove_distdir)
    478 
    479 dist-tarZ: distdir
    480 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    481 	$(am__remove_distdir)
    482 
    483 dist-shar: distdir
    484 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
    485 	$(am__remove_distdir)
    486 
    487 dist-zip: distdir
    488 	-rm -f $(distdir).zip
    489 	zip -rq $(distdir).zip $(distdir)
    490 	$(am__remove_distdir)
    491 
    492 dist dist-all: distdir
    493 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    494 	$(am__remove_distdir)
    495 
    496 # This target untars the dist file and tries a VPATH configuration.  Then
    497 # it guarantees that the distribution is self-contained by making another
    498 # tarfile.
    499 distcheck: dist
    500 	case '$(DIST_ARCHIVES)' in \
    501 	*.tar.gz*) \
    502 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
    503 	*.tar.bz2*) \
    504 	  bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
    505 	*.tar.Z*) \
    506 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    507 	*.shar.gz*) \
    508 	  GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
    509 	*.zip*) \
    510 	  unzip $(distdir).zip ;;\
    511 	esac
    512 	chmod -R a-w $(distdir); chmod a+w $(distdir)
    513 	mkdir $(distdir)/_build
    514 	mkdir $(distdir)/_inst
    515 	chmod a-w $(distdir)
    516 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    517 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    518 	  && cd $(distdir)/_build \
    519 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
    520 	    $(DISTCHECK_CONFIGURE_FLAGS) \
    521 	  && $(MAKE) $(AM_MAKEFLAGS) \
    522 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
    523 	  && $(MAKE) $(AM_MAKEFLAGS) check \
    524 	  && $(MAKE) $(AM_MAKEFLAGS) install \
    525 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    526 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    527 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    528 	        distuninstallcheck \
    529 	  && chmod -R a-w "$$dc_install_base" \
    530 	  && ({ \
    531 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
    532 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    533 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    534 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    535 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    536 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    537 	  && rm -rf "$$dc_destdir" \
    538 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
    539 	  && rm -rf $(DIST_ARCHIVES) \
    540 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
    541 	$(am__remove_distdir)
    542 	@(echo "$(distdir) archives ready for distribution: "; \
    543 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
    544 	  sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
    545 distuninstallcheck:
    546 	@cd $(distuninstallcheck_dir) \
    547 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
    548 	   || { echo "ERROR: files left after uninstall:" ; \
    549 	        if test -n "$(DESTDIR)"; then \
    550 	          echo "  (check DESTDIR support)"; \
    551 	        fi ; \
    552 	        $(distuninstallcheck_listfiles) ; \
    553 	        exit 1; } >&2
    554 distcleancheck: distclean
    555 	@if test '$(srcdir)' = . ; then \
    556 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    557 	  exit 1 ; \
    558 	fi
    559 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    560 	  || { echo "ERROR: files left in build directory after distclean:" ; \
    561 	       $(distcleancheck_listfiles) ; \
    562 	       exit 1; } >&2
    563 check-am: all-am
    564 	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
    565 check: check-am
    566 all-am: Makefile $(PROGRAMS) $(MANS) config.h
    567 installdirs:
    568 	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man8dir)"; do \
    569 	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
    570 	done
    571 install: install-am
    572 install-exec: install-exec-am
    573 install-data: install-data-am
    574 uninstall: uninstall-am
    575 
    576 install-am: all-am
    577 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    578 
    579 installcheck: installcheck-am
    580 install-strip:
    581 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    582 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    583 	  `test -z '$(STRIP)' || \
    584 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
    585 mostlyclean-generic:
    586 
    587 clean-generic:
    588 
    589 distclean-generic:
    590 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    591 
    592 maintainer-clean-generic:
    593 	@echo "This command is intended for maintainers to use"
    594 	@echo "it deletes files that may require special tools to rebuild."
    595 clean: clean-am
    596 
    597 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
    598 
    599 distclean: distclean-am
    600 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    601 	-rm -rf ./$(DEPDIR)
    602 	-rm -f Makefile
    603 distclean-am: clean-am distclean-compile distclean-generic \
    604 	distclean-hdr distclean-tags
    605 
    606 dvi: dvi-am
    607 
    608 dvi-am:
    609 
    610 html: html-am
    611 
    612 info: info-am
    613 
    614 info-am:
    615 
    616 install-data-am: install-man
    617 
    618 install-exec-am: install-binPROGRAMS
    619 
    620 install-info: install-info-am
    621 
    622 install-man: install-man8
    623 
    624 installcheck-am:
    625 
    626 maintainer-clean: maintainer-clean-am
    627 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    628 	-rm -rf $(top_srcdir)/autom4te.cache
    629 	-rm -rf ./$(DEPDIR)
    630 	-rm -f Makefile
    631 maintainer-clean-am: distclean-am maintainer-clean-generic
    632 
    633 mostlyclean: mostlyclean-am
    634 
    635 mostlyclean-am: mostlyclean-compile mostlyclean-generic
    636 
    637 pdf: pdf-am
    638 
    639 pdf-am:
    640 
    641 ps: ps-am
    642 
    643 ps-am:
    644 
    645 uninstall-am: uninstall-binPROGRAMS uninstall-info-am uninstall-man
    646 
    647 uninstall-man: uninstall-man8
    648 
    649 .PHONY: CTAGS GTAGS all all-am am--refresh check check-TESTS check-am \
    650 	clean clean-binPROGRAMS clean-generic ctags dist dist-all \
    651 	dist-bzip2 dist-gzip dist-shar dist-tarZ dist-zip distcheck \
    652 	distclean distclean-compile distclean-generic distclean-hdr \
    653 	distclean-tags distcleancheck distdir distuninstallcheck dvi \
    654 	dvi-am html html-am info info-am install install-am \
    655 	install-binPROGRAMS install-data install-data-am install-exec \
    656 	install-exec-am install-info install-info-am install-man \
    657 	install-man8 install-strip installcheck installcheck-am \
    658 	installdirs maintainer-clean maintainer-clean-generic \
    659 	mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
    660 	ps ps-am tags uninstall uninstall-am uninstall-binPROGRAMS \
    661 	uninstall-info-am uninstall-man uninstall-man8
    662 
    663 # Tell versions [3.59,3.63) of GNU make to not export all variables.
    664 # Otherwise a system limit (for SysV at least) may be exceeded.
    665 .NOEXPORT:
    666